org.firebirdsql.gds.ng.jna

## Class JnaDatabaseConnection

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractConnection<T,C>
  - - org.firebirdsql.gds.ng.jna.JnaConnection<IConnectionProperties,JnaDatabase>
    - - org.firebirdsql.gds.ng.jna.JnaDatabaseConnection

-     public class JnaDatabaseConnection
      extends JnaConnection<IConnectionProperties,JnaDatabase>

  Class handling the initial setup of the JNA database connection.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractConnection

      `attachProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JnaDatabaseConnection(FbClientLibrary clientLibrary, IConnectionProperties connectionProperties)` Creates a JnaDatabaseConnection (without establishing a connection to the server).
    `JnaDatabaseConnection(FbClientLibrary clientLibrary, IConnectionProperties connectionProperties, IEncodingFactory encodingFactory)` Creates a JnaDatabaseConnection (without establishing a connection to the server).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JnaDatabase` | `identify()` Contrary to the description in the super class, this will simply return an unconnected instance.

    - ### Methods inherited from class org.firebirdsql.gds.ng.jna.JnaConnection

      `getAttachUrl, getClientLibrary, processStatusVector`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractConnection

      `getAttachObjectName, getAttachProperties, getEncoding, getEncodingDefinition, getEncodingFactory, getPortNumber, getServerName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JnaDatabaseConnection

          public JnaDatabaseConnection(FbClientLibrary clientLibrary,
                               IConnectionProperties connectionProperties)
                                throws java.sql.SQLException

      Creates a JnaDatabaseConnection (without establishing a connection to the server).
      Parameters:
        `clientLibrary` - Client library to use
        `connectionProperties` - Connection properties
      Throws:
        `java.sql.SQLException`

    - #### JnaDatabaseConnection

          public JnaDatabaseConnection(FbClientLibrary clientLibrary,
                               IConnectionProperties connectionProperties,
                               IEncodingFactory encodingFactory)
                                throws java.sql.SQLException

      Creates a JnaDatabaseConnection (without establishing a connection to the server).
      Parameters:
        `clientLibrary` - Client library to use
        `connectionProperties` - Connection properties
        `encodingFactory` - Factory for encoding definitions
      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### identify

          public JnaDatabase identify()
                               throws java.sql.SQLException

      Contrary to the description in the super class, this will simply return an unconnected instance.
      Specified by:
        `identify` in class `AbstractConnection<IConnectionProperties,JnaDatabase>`
      Returns:
        FbDatabase instance
      Throws:
        `java.sql.SQLException`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.